<?php
/**
*------Create thems Model------
*------SCWPHP  Version 1.0.0------
*------Dev Model Jions------
*------Create Time 2017-06-21 16:01:32------
*/
namespace App\Commons\Model;
use \System\Model;
class Pay_password extends Model {
    protected $table = 'pay_password';

    /**
     * 支付密码查询
     *
     * @access public
     * @param mixed $select 查询字段
     * @param mixed $where 查询条件
     * @return array JsonString
     */
    public function payPassword ($select, $where) {
        $result = $this
            -> select($select)
            -> where($where)
            -> first();

        return $result;
    }

    /**
     * 支付密码修改
     *
     * @access public
     * @param mixed $where 查询条件
     * @param mixed $updateData 修改字段
     * @return array JsonString
     */
    public function updatePayPassword ($where, $updateData) {
        $result = $this
            -> where($where)
            -> update($updateData);

        return $result;
    }
}
